# link with shared libs
%bcond_without dynamic

# ghc does not emit debug information
%global debug_package %{nil}

Name:           gtk2hs-buildtools
Version:        0.12.0
Release:        4%{?dist}
Summary:        Haskell Gtk2Hs buildtools

Group:          Development/Tools
License:        GPLv2+
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-devel
BuildRequires:  ghc-rpm-macros >= 0.7.0
BuildRequires:  alex, happy

%description
This package provides a set of helper programs necessary to build
the Gtk2Hs suite of libraries. These tools include:

- a modified c2hs binding tool that is used to generate FFI declarations,
- a tool to build a type hierarchy that mirrors the C type hierarchy of
  GObjects found in glib, and
- a generator for signal declarations that are used to call back from C
  to Haskell.

These tools are not needed to compile or run Gtk2Hs programs, only to build
the gtk2hs libraries themselves.


%prep
%setup -q


%build
%ghc_bin_build


%install
%ghc_bin_install


%files
%defattr(-,root,root,-)
%doc COPYING
%attr(755,root,root) %{_bindir}/gtk2hs*
%{_datadir}/%{name}-%{version}


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.12.0-4
- Enable build on sparcv9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Jens Petersen <petersen@redhat.com> - 0.12.0-2
- update to cabal2spec-0.22.4
- BR ghc-devel

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 0.12.0-1
- update to 0.12.0

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-2
- rebuild

* Mon Sep  6 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-1
- update to 0.11.2

* Thu Aug 19 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-1
- update to 0.11.1

* Wed Jun 30 2010 Jens Petersen <petersen@redhat.com> - 0.9-2
- buildrequires alex and happy

* Wed Jun 30 2010 Jens Petersen <petersen@redhat.com> - 0.9-1
- summary, description, license, group, and filelist

* Wed Jun 30 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.9-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.1
